// Copyright 2016 Dietrich Epp.
// This file is part of the Moria Gamedev Repository.  This file is licensed
// under the terms of the MIT license.  For more information, see LICENSE.txt.
'use strict';
var util = require('./util');

function Load() {}

Load.prototype = Object.create(Phaser.State);

Load.prototype.preload = function() {
	var i;
	Game.renderer.renderSession.roundPixels = true;
	Phaser.Canvas.setImageRenderingCrisp(Game.canvas);
	for (var imgName in Assets.images) {
		var img = Assets.images[imgName];
		if (img.frames) {
			var frames = [];
			for (i = 0; i < img.frames.length; i++) {
				var d = img.frames[i];
				frames.push({frame: d, filename: d.n});
			}
			Game.load.atlas(imgName, 'image/' + img.path, null, {'frames': frames});
		} else {
			Game.load.image(imgName, 'image/' + img.path);
		}
	}
	for (var sfxName in Assets.sfx) {
		var sfx = Assets.sfx[sfxName];
		var uris = [];
		for (i = 0; i < sfx.length; i++) {
			uris.push('sfx/' + sfx[i]);
		}
		Game.load.audio('sfx/' + sfxName, uris);
	}
};

Load.prototype.create = function() {
	if (util.hasVar('nosplash')) {
		Game.state.start('Level', true, false, null);
	} else {
		Game.state.start('Splash', true, false, null);
	}
};

module.exports = {
	Load: Load,
};
