// Copyright 2016 Dietrich Epp.
// This file is part of the Moria Gamedev Repository.  This file is licensed
// under the terms of the MIT license.  For more information, see LICENSE.txt.
'use strict';
var end = require('./end');
var level = require('./level');
var load = require('./load');
var splash = require('./splash');

function start() {
	global.Game = new Phaser.Game(
		800, 600, Phaser.AUTO, 'main', null, false, false);
	Game.state.add('End', new end.End());
	Game.state.add('Level', new level.Level());
	Game.state.add('Load', new load.Load());
	Game.state.add('Splash', new splash.Splash());
	Game.state.start('Load');
}

start();
